# synfig::TimePoint Class Reference

`#include <node.h>`

List of all members.

## Public Member Functions

| TimePoint (const Time &x=Time::begin())
const GUID & | get_guid () const
const Time & | get_time () const
Interpolation | get_before () const
Interpolation | get_after () const
void | set_guid (const GUID &x)
void | set_time (const Time &x)
void | set_before (Interpolation x)
void | set_after (Interpolation x)
void | absorb (const TimePoint &x)

## Constructor & Destructor Documentation

synfig::TimePoint::TimePoint | ( | const Time & | x = `Time::begin()` | ) | `[inline]`

## Member Function Documentation

const GUID& synfig::TimePoint::get_guid | ( |  | ) | const`[inline]`

Referenced by absorb().

const Time& synfig::TimePoint::get_time | ( |  | ) | const`[inline]`

Referenced by synfig::operator!=(), synfig::operator+(), synfig::operator-(), synfig::operator<(), and synfig::operator==().

Interpolation synfig::TimePoint::get_before | ( |  | ) | const`[inline]`

Referenced by absorb().

Interpolation synfig::TimePoint::get_after | ( |  | ) | const`[inline]`

Referenced by absorb().

void synfig::TimePoint::set_guid | ( | const GUID & | x | ) | `[inline]`

Referenced by absorb(), synfig::ValueNode_DynamicList::ListEntry::get_times(), and synfig::ValueNode_Animated::get_times_vfunc().

void synfig::TimePoint::set_time | ( | const Time & | x | ) | `[inline]`

Referenced by synfig::ValueNode_DynamicList::ListEntry::get_times(), synfig::ValueNode_Animated::get_times_vfunc(), synfig::operator+(), and synfig::operator-().

void synfig::TimePoint::set_before | ( | Interpolation | x | ) | `[inline]`

Referenced by absorb(), and synfig::ValueNode_Animated::get_times_vfunc().

void synfig::TimePoint::set_after | ( | Interpolation | x | ) | `[inline]`

Referenced by absorb(), and synfig::ValueNode_Animated::get_times_vfunc().

void TimePoint::absorb | ( | const TimePoint & | x | ) |

References get_after(), get_before(), get_guid(), synfig::INTERPOLATION_NIL, synfig::INTERPOLATION_UNDEFINED, set_after(), set_before(), and set_guid().

The documentation for this class was generated from the following files:

- node.h
- node.cpp